#!/bin/zsh
. /etc/profile
HISTFILE=$HOME/.cache/zsh/history
SAVEHIST=100000000
HISTSIZE=$SAVEHIST
setopt appendhistory
autoload -U compinit
zstyle ':completion:*' menu select
zmodload zsh/complist
compinit
comp_options+=(globdots)
zstyle ':completion:*' matcher-list 'm:{a-z}={A-Z}'
source ~/.local/zsh/zsh-autosuggestions.zsh
source ~/.local/zsh/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
autoload -U colors && colors && setopt prompt_subst
ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE="fg=5"
ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE="fg=12"
LIBCLANG_PATH=/usr/lib/llvm/20/lib64
source ~/.zprofile
PATH=$PATH:/home/coast/.spicetify

PROMPT="[%n@%m %~]%% "
